package com.unis.base.server.domain;

import com.unis.base.common.vo.*;
import com.unis.base.server.dao.FacilityDao;
import com.unis.base.server.entity.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author ChenKai
 * @Date 2019/9/19 18:40
 * @Version 1.0
 */

@Component
public class FacilityDomain extends BaseDomain{

    @Autowired
    private FacilityDao facilityDao;

    //设备报废记录
    public List<DsbbfxxVO> findFacility(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findFacility(vo,lx);
    }

    //设备报废记录详情
    public List<DsbbfxxVO> findFacilityById(DSbxxsjyQueryVO vo) {
        return facilityDao.findFacilityById(vo);
    }

    //设备维护分页
    public List<DsbwhxxVO> findVindicate(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findVindicate(vo,lx);
    }

    //设备维护详情
    public List<DsbwhxxVO> findVindicateById(DSbxxsjyQueryVO vo) {
        return facilityDao.findVindicateById(vo);
    }

    //设备维修分页
    public List<DSbwxxxVO> findMaintain(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findMaintain(vo,lx);
    }

    //设备维修详情
    public List<DSbwxxxVO> findMaintainById(DSbxxsjyQueryVO vo) {
        return facilityDao.findMaintainById(vo);
    }

    //设备领用
    public List<DsblyxxVO> findReceive(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findReceive(vo,lx);
    }

    //设备详情
    public List<DsblyxxVO> findReceiveById(DSbxxsjyQueryVO vo) {
        return facilityDao.findReceiveById(vo);
    }

    //设备入库
    public List<DSbxxsjyVO> findStorage(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findStorage(vo,lx);
    }

    //设备入库详情
    public List<DSbxxsjyVO> findStorageById(DSbxxsjyQueryVO vo) {
        return facilityDao.findStorageById(vo);
    }

    //设备申购分页
    public List<DSbsgxxVO> findPurchase(DSbxxsjyQueryVO vo, Integer lx) {
        return facilityDao.findPurchase(vo,lx);
    }

    //设备申购详情
    public List<DSbsgxxVO> findPurchaseById(DSbxxsjyQueryVO vo) {
        return facilityDao.findPurchaseById(vo);
    }


    //设备归还
    public List<DsblyxxVO> findGuiHuan(DSbxxsjyQueryVO vo) {
        return facilityDao.findGuiHuan(vo);
    }

    //机械设备统计分析
    public List<DSbtjfxVO> findSbtjfx(DSbtjfxVO vo, Integer lx) {
        return facilityDao.findSbtjfx(vo,lx);
    }

    //获取企业名称
    public String findQymc(String tyshxydm) {
        return facilityDao.findQymc(tyshxydm);
    }

    //领用数量
    public Integer findSblysl(String kddm, String sbyqmc, String sbfl,Integer lx) {
        return facilityDao.findSblysl(kddm,sbyqmc,sbfl,lx);
    }

    /*public String findKddm(String kdmc) {
        return facilityDao.findKddm(kdmc);
    }*/
}
